Configuration requise

Acrobat X et Adobe Reader X prennent en charge l’affichage des fichiers PDF dans le navigateur Safari sur Mac OS X. Acrobat X et Reader X ne prennent en charge aucun autre navigateur, tel que Firefox ou Opera. Pour plus d’informations sur la configuration requise, cliquez sur le lien correspondant à votre produit : Acrobat X Pro, Acrobat X Standard, Adobe Reader X.

Adobe PDFViewer pour Mac OS X présente la configuration requise suivante :

  • Safari 4 pour Mac OS X 10.5.8 et Mac OS X 10.6.4
  • Safari 5 pour Mac OS 10.6.4
  • Acrobat et Reader via le module externe Safari AdobePDFViewer sont de 32/64 bits (version 64 bits disponible dans Safari 10.6)

Remarque : si vous ne possédez pas Acrobat ni Reader, ou si vous n’avez pas installé le module externe PDFViewer, Safari affiche les fichiers PDF à l’aide de la prise en charge des fichiers PDF native de Mac OS X. La prise en charge de nombreux flux de travaux Adobe PDF (tels que la fonction de collaboration ou de nombreuses fonctionnalités de formulaires et de sécurité) n’est pas disponible.

Configuration d’Acrobat pour afficher les fichiers PDF dans Safari

Le module externe AdobePDFViewer est utilisé pour afficher les fichiers PDF dans Safari à l’aide d’Acrobat et de Reader. Ce module externe est installé dans le cadre de l’installation d’Acrobat X ou de Reader X. L’emplacement de ce module externe est le suivant :

 /Library/Internet Plug-ins/AdobePDFViewer.plugin

Problèmes connus

L’option Préférences > Internet > Afficher dans le navigateur est toujours grisée dans Reader.

  • Pour désactiver l’intégration de Safari, supprimez le module externe AdobePDFViewer dans /Library/Internet Plug-ins.
  • Pour réactiver l’intégration de Safari, relancez le programme d’installation sur l’installation actuelle. Lancez le programme d’installation d’Acrobat/Reader X à partir du support d’origine, puis suivez les invites qui s’affichent pour effectuer l’installation.

La désinstallation d’une version antérieure d’Acrobat ou de Reader après l’installation d’Acrobat X ou de Reader X supprime le module externe AdobePDFViewer.

Si Acrobat X ou Reader X est installé parallèlement à une version antérieure d’Acrobat ou de Reader, la suppression de la version antérieure entraîne la suppression du module externe AdobePDFViewer.

Pour réactiver l’intégration de Safari, relancez le programme d’installation sur l’installation actuelle. Lancez le programme d’installation d’Acrobat/Reader X à partir du support d’origine, puis suivez les invites qui s’affichent pour effectuer l’installation.

Des versions plus anciennes du module externe AdobePDFViewer peuvent écraser des versions plus récentes du module externe.

Le fait d’avoir plusieurs versions d’Acrobat ou de Reader installées sur le même système peut provoquer des conflits de modules externes. Par exemple, supposons qu’Acrobat 9 et Acrobat X soient installés sur votre système et qu’Acrobat 9 soit mis à jour. Dans ce cas, la version Acrobat 9 du module externe AdobePDFViewer peut écraser la version Acrobat X du module externe. Pour corriger ce problème, procédez comme suit :

  1. Supprimez la version actuelle d’Acrobat ou de Reader.
  2. Réinstallez Acrobat X ou Reader X à partir du support d’origine.  

Ce produit est distribué sous licence Creative Commons Attribution - Pas d’utilisation commerciale - Partage à l’identique 3.0 non transposé  Les publications Twitter™ et Facebook ne sont pas couvertes par les dispositions Creative Commons.

Mentions légales   |   Politique de confidentialité en ligne